org.mariadb.jdbc.internal.protocol.authentication

## Interface AuthenticationProviderHolder.AuthenticationProvider

Enclosing class:
  AuthenticationProviderHolder

    public static interface AuthenticationProviderHolder.AuthenticationProvider

Provider to handle authentication.

### Method Summary

All Methods Instance Methods Abstract Methods
`InterfaceAuthSwitchSendResponsePacket` `processAuthPlugin(ReadPacketFetcher packetFetcher, String plugin, String password, byte[] authData, int seqNo, String passwordCharacterEncoding)`

### Method Detail

#### processAuthPlugin

    InterfaceAuthSwitchSendResponsePacket processAuthPlugin(ReadPacketFetcher packetFetcher,
                                                            String plugin,
                                                            String password,
                                                            byte[] authData,
                                                            int seqNo,
                                                            String passwordCharacterEncoding)
                                                     throws QueryException

Throws:
  `QueryException`